package de.cliffbreak.hub;

import com.google.common.io.ByteArrayDataOutput;
import com.google.common.io.ByteStreams;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

public class CliffbreakHub extends JavaPlugin implements CommandExecutor {
    @Override
    public void onEnable() {
        // Enable BungeeCord Messaging System
        this.getServer().getMessenger().registerOutgoingPluginChannel(this, "BungeeCord");

        this.getCommand("hub").setExecutor(this);
    }

    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String[] args) {
        if (commandSender instanceof Player) {
            Player p = (Player) commandSender;
            ByteArrayDataOutput out = ByteStreams.newDataOutput();
            out.writeUTF("Connect");
            out.writeUTF("hub");
            p.sendPluginMessage(this, "BungeeCord", out.toByteArray());
            return true;
        }
        return true;
    }
}
